dmmp_mpath_array_free(3)

NAME
dmmp_mpath_array_free - Free 'struct dmmp_mpath' pointer array.

SYNOPSIS
void dmmp_mpath_array_free (struct dmmp_mpath **dmmp_mps, uint32_t dmmp_mp_count);

ARGUMENTS

dmmp_mps
    Pointer of 'struct dmmp_mpath' array.

dmmp_mp_count
    uint32_t, the size of 'dmmp_mps' pointer array.

DESCRIPTION
Free the 'dmmp_mps' pointer array generated by dmmp_mpath_array_get. If provided 'dmmp_mps' pointer is NULL or dmmp_mp_count == 0, do nothing.

RETURN
void